## mono-basic 2.6.2

=== build/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 PLATFORMS = linux win32
 
-PROFILES = bootstrap vbnc
+PROFILES = bootstrap vbnc moonlight
 
 DISTFILES = \
 	config-default.make		\
