=== vbruntime/Microsoft.VisualBasic/Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 ifeq ("$(PROFILE)", "moonlight")
 LOCAL_VBNC_FLAGS = @vbruntime-moonlight.rsp $(EXTRA_VBRUNTIME_FLAGS)
+LIBRARY_SNK = $(topdir)/$(thisdir)/mono.snk
 else
 ifeq ("$(FXVERSION)", "1")
 LOCAL_VBNC_FLAGS = @vbruntime1.rsp $(EXTRA_VBRUNTIME_FLAGS)
@@ -32,6 +33,8 @@
 DISTFILES =	\
 	AssemblyInfo.vb				\
 	msfinal.pub				\
+	winfx3.pub				\
+	mono.snk				\
 	strings.txt				\
 	strings-only1.txt			\
 	strings-only2.txt			\
@@ -42,9 +45,11 @@
 	Makefile				\
 	Microsoft.VisualBasic.dll.sources	\
 	Microsoft.VisualBasic.dll.sources.win	\
+	Microsoft.VisualBasic.dll.moonlight.sources\
 	vbruntime.rsp				\
 	vbruntime1.rsp				\
 	vbruntime2.rsp				\
+	vbruntime-moonlight.rsp			\
 	Helper.vb				\
 	2005VB.sln
