=== vbnc/vbnc/Makefile ===
--- 
+++ 
@@ -2,31 +2,37 @@
 SUBDIRS = tests
 include ../../build/rules.make
 
-LOCAL_VBNC_FLAGS = @vbnc.exe.rsp $(EXTERNAL_VBNC_FLAGS)
+LOCAL_VBNC_FLAGS = @vbnc.exe.rsp $(EXTERNAL_VBNC_FLAGS) /r:../../class/lib/$(PROFILE)/Mono.Cecil.VB.dll
 
-PROGRAM = $(topdir)/class/lib/vbnc/vbnc.exe
-PROGRAM_COMPILE = $(BOOT_COMPILE)
+PROGRAM = $(topdir)/class/lib/$(PROFILE)/vbnc.exe
+PROGRAM_COMPILE = $(BOOT_COMPILE) /novbruntimeref /r:../../class/lib/bootstrap/Microsoft.VisualBasic.dll
 
 include ../../build/executable.make
+
 DISTFILES = \
+	ChangeLog 		\
 	Makefile  		\
 	Readme.txt  		\
 	vbnc.Errors.resources	\
 	vbnc.exe.rsp  		\
 	vbnc.exe.sources  	\
-	vbnc.sln  		\
 	vbnc.vbnc.rsp		\
 	source/vbnc.vbproj	\
-	bin/vbnc.rsp            \
 	source/Resources/Errors.resx \
 	source/vbnc.rsp		\
 	setversion.sh
+
+CLEAN_FILES = \
+	version.tmp 					\
+	$(topdir)/vbnc/vbnc/source/General/Version.vb 	\
+	../../class/lib/$(PROFILE)/vbnc.rsp
 
 version.tmp: $(topdir)/configure setversion.sh
 	-$(topdir)/vbnc/vbnc/setversion.sh $(topdir)/vbnc/vbnc/source/General/Version.vb
 
 all-local: vbnc.Errors.resources vbnc.exe.sources version.tmp
-
+	@cp -pu vbnc.vbnc.rsp ../../class/lib/$(PROFILE)/vbnc.rsp
+	
 vbnc.Errors.resources: source/Resources/Errors.resx
 	resgen2 source/Resources/Errors.resx vbnc.Errors.resources
 
@@ -39,14 +45,16 @@
 install-local: install-extras version.tmp
 install-extras: 
 	$(MKINSTALLDIRS) $(DESTDIR)$(PROGRAM_INSTALL_DIR)
-	$(INSTALL_DATA) bin/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)
+	$(INSTALL_DATA) source/vbnc.rsp $(DESTDIR)$(PROGRAM_INSTALL_DIR)
 
 uninstall-local: uninstall-extras
 uninstall-extras:
 	rm -f $(DESTDIR)$(PROGRAM_INSTALL_DIR)/vbnc.rsp
 
 install-binary: default
-	cp ../../class/lib/vbnc/vbnc.* ../../class/lib/bootstrap
+	cp ../../class/lib/$(PROFILE)/vbnc.* ../../class/lib/bootstrap
+	cp ../../class/lib/$(PROFILE)/Mono.Cecil.* ../../class/lib/bootstrap
+	cp source/vbnc.rsp ../../class/lib/bootstrap/vbnc.rsp
 
 boot-from-ms:
 	cd tests/SelfTest/ && boot.sh && rerun.sh
