=== debian/changelog ===
mono-basic (2.10-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 09:17:15 +0100

mono-basic (2.10-1) experimental; urgency=low

  * [813399b] Imported Upstream version 2.10
  * [c85d8e8] Stop converting the archive format in get-orig-source rule
  * [a8c2507] Use Debian source format 3.0 (quilt)
  * [9803c81] Bump Standards to version 3.9.1
  * [8c6c640] Convert packaging to DebHelper 7
  * [b0a16ff] Bump API version to 2.10, so packages built against mono-
    vbnc require 2.10 minimum
  * [694e4a4] Ensure we don't run the test suite, since it bails out on
    a clean system
  * [75b5b78] Since we're building a 4.0 library now, update
    debian/install to handle 4.0 libs, not 2.0 libs
  * [4e41d8c] Ensure we run the cli-common commands, by including
    cli.make in debian/rules
  * [0965d04] Split new libraries out into correctly named packages
  * [c8c5cd8] Update Vcs-* fields - this package hasn't been in SVN for
    ages
  * [2772f00] Build-depend on cli-common 0.8, due to 4.0 libraries
  * [7c89842] Add a manual dependency on libmono-microsoft-
    visualbasic10.0-cil, because mono-vbnc doesn't technically reference
    the assembly (it merely explodes in its absence)
  * [3fae244] Make use of --exclude-moduleref capability of cli-common-
    dev 0.8, to avoid bailing out due to optional Windows-only
    P/Invokes.

 -- Jo Shields <directhex@apebox.org>  Sat, 09 Apr 2011 22:38:01 +0100

mono-basic (2.6.2-2) unstable; urgency=low

  * Upload to Debian Unstable

 -- Jo Shields <directhex@apebox.org>  Fri, 10 Sep 2010 15:28:10 +0100

mono-basic (2.6.2-1) experimental; urgency=low

  * New upstream release
  * debian/control:
    + No-change bump to Standards 3.8.4
  * debian/rules:
    + Policy-compliant get-orig-source download location (i.e. ./)

 -- Jo Shields <directhex@apebox.org>  Mon, 12 Apr 2010 23:30:34 +0100

mono-basic (2.4.2-2) unstable; urgency=low

  * debian/control:
    + No-change bump to Standards 3.8.3
    + Tweak build-deps to use new libmono-cil-dev package instead of
      individually named libs

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 21:05:33 +0000

mono-basic (2.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + No-change bump to Standards 3.8.2
  * debian/rules:
    + Fix get-orig-source rule to produce consistent md5sums

 -- Jo Shields <directhex@apebox.org>  Tue, 30 Jun 2009 12:56:40 +0100

mono-basic (2.4-1) unstable; urgency=low

  * New upstream release
  * Dropping +dfsg, only documented bootstrap binaries remain
  * debian/control:
    + No-change bump to standards version 3.8.1
  * debian/man/vbnc.1,
    debian/mono-vbnc.manpages:
    + Drop bundled manpage, upstream finally include it

 -- Jo Shields <directhex@apebox.org>  Wed, 29 Apr 2009 01:03:25 +0100

mono-basic (2.0+dfsg-1) unstable; urgency=low

  [ Jo Shields ]
  * New upstream release
  * debian/control:
    + Bump standards version
    + Change sloppy build-dependencies to exact dependencies
    + Bump version of Mono required to build up to 1.9 or so
  * debian/rules:
    + Bumped clilibs to 2.0
    + Remove vbnc/vbnc/tests/Errors/2017-aspnet1.vb from list
      of files to +dfsg - it has been blanked out by upstream

  [ Mirco Bauer ]
  * debian/control:
    + Added Homepage, Vcs-Browser and Vcs-Svn fields.

 -- Jo Shields <directhex@apebox.org>  Thu, 16 Oct 2008 10:01:18 +0100

mono-basic (1.9+dfsg-3) unstable; urgency=low

  * debian/control:
    + Clean dbg-package-missing-depends lintian error by explicitly
      making the dbg package depend on identical versions of the
      mono-vbnc and libmono-microsoft-visualbasic8.0-cil packages
  * debian/mono-vbnc.manpages:
    + Clean binary-without-manpage lintian error by including simple
      manpage override file for mono-vbnc package
  * debian/man/vbnc.1:
    + Clean binary-without-manpage lintian error by copying vbnc.1
      from mono source tarball
  * debian/rules:
    + Clean binary-without-manpage lintian error by including 
      dh_installman
    + Clean changelog-file-not-compressed lintian error by including 
      dh_compress
  * debian/changelog:
    + Clean copyright-lists-upstream-authors-with-dh_make-boilerplate
      lintian error by removing unneeded brackets

 -- Jo Shields <directhex@apebox.org>  Sun, 21 Sep 2008 23:44:18 +0100

mono-basic (1.9+dfsg-2) unstable; urgency=low

  * debian/control:
    + Add myself to uploaders.
    + Bump standards version to 3.8.0 (no changes)
  * debian/rules:
    + Explicitly remove build/config.make in "clean" target, as it
      is left behind by "make clean"
    + Another file removed in get-orig-source for DFSG version:
      vbnc/vbnc/tests/Errors/2017-aspnet1.vb
    + Alter get-orig-source to append "+dfsg" to source tarball's
      directory
  * debian/changelog:
    + Document bootstrap binaries in class/lib/bootstrap/

 -- Jo Shields <directhex@apebox.org>  Fri, 22 Aug 2008 22:30:22 +0100

mono-basic (1.9+dfsg-1) unstable; urgency=low

  [ Matthias Jahn ]
  * Initial packaging.

  [ Mirco Bauer ]
  * DFSG version of mono-basic 1.9
    (deleted all pre-compiled binaries from the tarball)
    + For the record here a list of the deleted files:
      vbruntime/Test/bin/nunit.framework.dll
      vbruntime/Test/bin/nunit.core.dll
      vbruntime/Test/bin/nunit.util.dll
      vbruntime/Test/bin/nunit-console.exe
  * debian/control:
    + Enhanced package descriptions.

  [ Jelmer Vernooij ]
  * Updated debian/watch file for dfsg changes.
  * Added get-orig-source target in debian/rules.
  * Add myself to uploaders.

 -- Jelmer Vernooij <jelmer@samba.org>  Thu, 10 Jul 2008 13:09:22 +0200
