## mono-basic 2.10-1maemo1

=== debian/changelog ===
mono-basic (2.10-1maemo1) fremantle; urgency=low

  * Initial release for Maemo

 -- Nikita Tsukanov <keks9n@gmail.com>  Sat, 30 Apr 2011 21:35:40 +0400
