=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: mono-basic
 Priority: optional
-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
-Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
-Build-Depends: debhelper (>= 7.0.50~),
- cli-common-dev (>= 0.8~exp2~),
+Maintainer: Nikita Tsukanov <keks9n@gmail.com>
+Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
+Build-Depends: debhelper,
+ cli-common-dev, mono-scratchbox,
  mono-devel (>= 2.10)
 Standards-Version: 3.9.1
 Section: devel
