=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,11 @@
 
 export MONO_SHARED_DIR=$(CURDIR)
 
-include /usr/share/cli-common/cli.make
+DEB_CLI_API_VERSION = 2.0
 
-DEB_CLI_API_VERSION = 2.10
+config.status: configure
+	dh_testdir
+	./configure --prefix=/usr
 
 get-orig-source:
 	uscan \
@@ -25,17 +27,52 @@
 		--destdir . \
 		--force-download \
 		--rename
+	bzcat ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2 | \
+		gzip -9fn -c - > ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz
+	rm ./$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.bz2
 
-override_dh_clistrip:
+
+build: build-stamp
+build-stamp: config.status
+	dh_testdir
+	$(MAKE)
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp
+	rm -rf $(MONO_SHARED_DIR)/.wapi
+	rm -f build/config.make
+	$(MAKE) clean
+	dh_clean
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install
+
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_install -i --list-missing
+	dh_installchangelogs -i ChangeLog
+	dh_installdocs -i
+	dh_installman
 	dh_clistrip -i --dbg-package=mono-basic-dbg
+	dh_compress
+	dh_fixperms -i
+	dh_clifixperms -i
+	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)
+	dh_installdeb -i
+	dh_clideps -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
-override_dh_makeclilibs:
-	dh_makeclilibs -i -m $(DEB_CLI_API_VERSION)
+binary-arch: build install
 
-override_dh_clideps:
-	dh_clideps --exclude-moduleref=kernel32 --exclude-moduleref=ole32.dll
-
-override_dh_auto_test:
-
-%:
-	dh $@
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
